BaseEmbedder
============

.. autoclass:: FlagEmbedding.inference.embedder.decoder_only.base.BaseLLMEmbedder

Methods
-------

.. automethod:: FlagEmbedding.inference.embedder.decoder_only.base.BaseLLMEmbedder.encode_queries

.. automethod:: FlagEmbedding.inference.embedder.decoder_only.base.BaseLLMEmbedder.encode_corpus

.. automethod:: FlagEmbedding.inference.embedder.decoder_only.base.BaseLLMEmbedder.encode

.. automethod:: FlagEmbedding.inference.embedder.decoder_only.base.BaseLLMEmbedder.encode_single_device